// naumann@stce.rwth-aachen.de

#pragma once

#include <Eigen/Dense>

class Linear_System {

public:
  using T=double;
  using MT=Eigen::Matrix<T,Eigen::Dynamic,Eigen::Dynamic>;
  using VT=Eigen::Matrix<T,Eigen::Dynamic,1>;

protected:
  VT _x, _b; MT _A;

public:
  Linear_System(int); 
  VT& x(); VT& b(); MT& A(); 
};
