// naumann@stce.rwth-aachen.de

#include "linear_system.hpp"
#include "linear_solver_lr.hpp"

#include<cassert>
#include<iostream>

int main(int argc, char* argv[]) {
  assert(argc==2); int n=std::stoi(argv[1]); 
  Linear_System lsys(n);
  lsys.A()=Linear_System::MT::Random(n,n); 
  lsys.b()=Linear_System::VT::Random(n); 
  Linear_Solver_LR lsol;
  lsol.solve(lsys);
  std::cout << "x=" << lsys.x() << std::endl;
  return 0;
}

